package com.bootdo.data.entity;

import java.util.Date;
import java.io.Serializable;

/**
 * 法人表(TfInfoEnterprise)实体类
 *
 * @author makejava
 * @since 2022-05-09 15:51:40
 */
public class TfInfoEnterprise implements Serializable {
    private static final long serialVersionUID = 880668660428282890L;
    /**
     * 主键
     */
    private Integer id;
    /**
     * 统一社会信用代码
     */
    private String uniformSocialCreditCode;
    /**
     * 公司名称
     */
    private String companyName;
    /**
     * 登录密码
     */
    private String password;
    /**
     * 联系人
     */
    private String contacts;
    /**
     * 所属行业: 原材料工业 装备工业 消费品工业 电子信息制造业 软件和信息技术服务业 民爆
     */
    private String industry;
    /**
     * 联系电话
     */
    private String mobile;
    /**
     * 联系地址
     */
    private String address;
    /**
     * 联系邮箱
     */
    private String email;
    /**
     * 账号状态 (1可用 ,0禁用)
     */
    private Integer state;
    /**
     * 省
     */
    private String province;
    /**
     * 市
     */
    private String city;
    /**
     * 区
     */
    private String district;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * 服务类型
     */
    private String serviceType;
    /**
     * 经营期限截止日期
     */
    private Date asOfDate;
    /**
     * 营业执照
     */
    private String businessLicence;
    /**
     * 信用中国
     */
    private String creditChina;
    /**
     * 税务登记号
     */
    private String taxRegistrationNumber;
    /**
     * 工商注册登记号
     */
    private String registrationNumber;
    /**
     * 机构代码
     */
    private String organizationCode;
    /**
     * 结算银行
     */
    private String settlingBank;
    /**
     * 生效时间
     */
    private String effectTime;
    /**
     * 失效时间
     */
    private String expirationTime;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUniformSocialCreditCode() {
        return uniformSocialCreditCode;
    }

    public void setUniformSocialCreditCode(String uniformSocialCreditCode) {
        this.uniformSocialCreditCode = uniformSocialCreditCode;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    public String getIndustry() {
        return industry;
    }

    public void setIndustry(String industry) {
        this.industry = industry;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getServiceType() {
        return serviceType;
    }

    public void setServiceType(String serviceType) {
        this.serviceType = serviceType;
    }

    public Date getAsOfDate() {
        return asOfDate;
    }

    public void setAsOfDate(Date asOfDate) {
        this.asOfDate = asOfDate;
    }

    public String getBusinessLicence() {
        return businessLicence;
    }

    public void setBusinessLicence(String businessLicence) {
        this.businessLicence = businessLicence;
    }

    public String getCreditChina() {
        return creditChina;
    }

    public void setCreditChina(String creditChina) {
        this.creditChina = creditChina;
    }

    public String getTaxRegistrationNumber() {
        return taxRegistrationNumber;
    }

    public void setTaxRegistrationNumber(String taxRegistrationNumber) {
        this.taxRegistrationNumber = taxRegistrationNumber;
    }

    public String getRegistrationNumber() {
        return registrationNumber;
    }

    public void setRegistrationNumber(String registrationNumber) {
        this.registrationNumber = registrationNumber;
    }

    public String getOrganizationCode() {
        return organizationCode;
    }

    public void setOrganizationCode(String organizationCode) {
        this.organizationCode = organizationCode;
    }

    public String getSettlingBank() {
        return settlingBank;
    }

    public void setSettlingBank(String settlingBank) {
        this.settlingBank = settlingBank;
    }

    public String getEffectTime() {
        return effectTime;
    }

    public void setEffectTime(String effectTime) {
        this.effectTime = effectTime;
    }

    public String getExpirationTime() {
        return expirationTime;
    }

    public void setExpirationTime(String expirationTime) {
        this.expirationTime = expirationTime;
    }

}